List Donations
List donations for your account.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
limit
Limit the size of the list that is returned. The default (and maximum) is 100 objects.
page_token
The cursor to use for pagination. If not set, the first page of results will be returned.
payment_source_id
The unique identifier for the payment sources to filter donations by. Comma separated list of payment source IDs.
deposit_id
The unique identifier for the deposit to filter donations by.
created_at.after
Return donations created after the given date and time.
created_at.before
Return donations created before the given date and time.
Response
The response for Donations.list
results
next_page_token
A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.
